/*
* Copyright (C) 2004 Ladislav Vitasek
* info@wordrider.net
* http://www.wordrider.net
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
package net.wordrider.area.actions;

import net.wordrider.area.RiderStyles;

import javax.swing.*;
import java.awt.event.InputEvent;
import java.awt.event.KeyEvent;

/**
 * @author Vity
 */
public final class ChangeFontSizeStyle3Action extends ChangeFontSizeStyleAction {
    private static final ChangeFontSizeStyle3Action instance = new ChangeFontSizeStyle3Action();
    private static final String CODE = "ChangeFontSizeStyle3Action";


    private ChangeFontSizeStyle3Action() {
        super(RiderStyles.STYLE_FONT_MAXI, CODE, KeyStroke.getKeyStroke(KeyEvent.VK_3, InputEvent.CTRL_MASK), "big_txt.gif");
    }

    public static final ChangeFontSizeStyle3Action getInstance() {
        return instance;
    }
}
