/*
* Copyright (C) 2004 Ladislav Vitasek
* info@wordrider.net
* http://www.wordrider.net
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
package net.wordrider.ti89;

/**
 * @author Vity
 */
public class TIFileInfo {

    private String folderName = "";
    private String varName = "unknown";
    private String comment = "";


    public final String getFolderName() {
        return folderName;
    }

    public final void setFolderName(String folderName) {
        this.folderName = (folderName == null) ? "" : folderName;
    }

    public final String getComment() {
        return comment;
    }

    public final void setComment(String comment) {
        this.comment = (comment == null) ? "" : comment;
    }

    public final String getVarName() {
        return varName;
    }

    public final void setVarName(String varName) {
        this.varName = (varName == null) ? "" : varName;
    }


}
